Bug 9617 - libnss-winbindd does not provide passwd struct for groups mapped with ID_TYPE_BOTH and vice versa
libnss-winbindd does not provide passwd struct for groups mapped with ID_TYPE...
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
4.0.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-30 08:45 UTC by Michael Adam
Modified: 2013-02-07 08:51 UTC (History)
2 users (show)

See Also:


Attachments
patchset for 4.0 cherry-picked from master (13.92 KB, patch)
2013-01-30 08:54 UTC, Michael Adam
obnox: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2013-01-30 08:45:43 UTC
Winbindd of 4.0 maps users and groups with ID_TYPE_BOTH with the idmap backends rid and autorid (for the time being, more cominmg).

This allows for having group owners on files and groupe aces for user objects. This is not nicely printed in the output on the unix command line yet (with libnss_winbind active).

TODO for libnss_winbindd:
- let getgrnam/gid provide a group struct for a user mapped to a gid with ID_TYPE_BOTH. This group struct should contain exactly one member, namely the user behind the mapped sid.
- let getpwnam/uid provide a passwd struct for a group mapped to a uid with ID_TYPE_BOTH. This passwd struct should carry the original group object as default group.
Comment 1 Michael Adam 2013-01-30 08:54:45 UTC
Created attachment 8521 [details]
patchset for 4.0 cherry-picked from master

This implements the required behaviour.
Comment 2 Stefan Metzmacher 2013-01-30 09:08:57 UTC
Comment on attachment 8521 [details]
patchset for 4.0 cherry-picked from master

looks good
Comment 3 Michael Adam 2013-01-30 11:08:09 UTC
=> Karolin for 4.0.NEXT
Comment 4 Karolin Seeger 2013-02-06 09:26:31 UTC
Pushed to autobuild-v4-0-test.
Comment 5 Karolin Seeger 2013-02-07 08:51:48 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!